Name:           python-fastecdsa
Version:        3.0.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Fast elliptic curve digital signatures

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/fastecdsa/
Source:         %{pypi_source fastecdsa}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'fastecdsa' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-fastecdsa
Summary:        %{summary}

%description -n python3-fastecdsa %_description


%prep
%autosetup -p1 -n fastecdsa-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-fastecdsa -f %{pyproject_files}


%changelog
%autochangelog